#include <bits/stdc++.h>

using namespace std;

long long a, b;
int t;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin>>t;
    while (t--)
    {
        cin>>a>>b;

        bool t=false;
        for (int i=1; i*i<=a; i+=2)
        {
            if (a%i==0)
            {
                //cout<<((a/i)^i)<<" "<<b<<endl;
                if (((a/i)^i)==b)
                {
                    t=true;
                    cout<<i<<" "<<a/i;
                    break;
                }
            }
        }
        if (!t) cout<<-1;
        cout<<endl;
    }
}